std::filesystem::directory_entry::hard_link_count(3)

NAME
std::filesystem::directory_entry::hard_link_count - std::filesystem::directory_entry::hard_link_count

Synopsis
   std::uintmax_t hard_link_count() const; (since C++17)
   std::uintmax_t hard_link_count( std::error_code& ec ) const noexcept;
   If the number of hard links is cached in this directory_entry, returns the cached
   value. Otherwise, returns std::filesystem::hard_link_count(path()) or
   std::filesystem::hard_link_count(path(), ec), respectively.

Parameters
   ec - out-parameter for error reporting in the non-throwing overload

Return value
   The number of hard links for the referred-to filesystem object.

Exceptions
   The overload that does not take a std::error_code& parameter throws
   filesystem::filesystem_error on underlying OS API errors, constructed with p as the
   first path argument and the OS error code as the error code argument. The overload
   taking a std::error_code& parameter sets it to the OS API error code if an OS API
   call fails, and executes ec.clear() if no errors occur. Any overload not marked
   noexcept may throw std::bad_alloc if memory allocation fails.

Example
    This section is incomplete
    Reason: no example

See also
   hard_link_count returns the number of hard links referring to the specific file
   (C++17) (function)